Backups

Restore from backup

Restore project data from a backup. Supports replace or merge modes. Supports both JWT Bearer token and API key authentication.

AuthJWT or API Key
GroupBackups
Rate limitSee Rate Limits
POST/api/projects/{projectId}/backups/{backupId}/restore

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, BackupsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.

const backups = new BackupsApi(configuration);
import { Configuration, BackupsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.

const backups = new BackupsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await backups.restoreBackup(
  "proj_gh8vQBuwbe07",
  "Ns6caHCpcAtWtDzK",
  {
    restoreMode: "firewall hack",
    collections: "bandwidth calculate",
    confirmation: "capacitor navigate"
  }
);
const { data: result } = await backups.restoreBackup(
  "proj_gh8vQBuwbe07",
  "Ns6caHCpcAtWtDzK",
  {
    restoreMode: "firewall hack",
    collections: "bandwidth calculate",
    confirmation: "capacitor navigate"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Get your API key from the console
Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT Requires API Key JWT or API Key
Note
This endpoint accepts either JWT Bearer token or API Key. Use Authorization: Bearer YOUR_TOKEN for user context, or X-API-Key: YOUR_KEY for server-to-server. View authentication guide →Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Include your API key in the X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
backupIdstringYes

Request Body

json
{
  "restoreMode": "replace",
  "collections": [
    "products",
    "orders"
  ],
  "confirmation": "RESTORE_DATA"
}
{
  "restoreMode": "replace",
  "collections": [
    "products",
    "orders"
  ],
  "confirmation": "RESTORE_DATA"
}

Responses

200Restore initiated
json
{
  "message": "Backup restored successfully",
  "restore": {
    "_id": "rst_abc123",
    "status": "in_progress",
    "restoreMode": "replace",
    "startedAt": "2024-01-15T10:00:00.000Z"
  }
}
{
  "message": "Backup restored successfully",
  "restore": {
    "_id": "rst_abc123",
    "status": "in_progress",
    "restoreMode": "replace",
    "startedAt": "2024-01-15T10:00:00.000Z"
  }
}
400
401
404

Errors

CodeMeaning
400
401
404
Edit this page on GitHub